Name:		createrepo
Version:	0.10.4
Release:	%mkrel 1
Summary:	Creates a common metadata repository
License:	GPLv2+
Group:		System/Packaging
URL:            http://createrepo.baseurl.org/
Source0:	http://createrepo.baseurl.org/download/%{name}-%{version}.tar.gz
Patch0:         createrepo-0.9.9-ten-changelog-limit.patch
Patch1:         createrepo-0.10.2-Makefile.patch
Patch2:         createrepo-0.10.3-Makefile.patch
BuildRequires:  python-devel
BuildRequires:	bash-completion
Requires:	python-rpm
Requires:	python-deltarpm
Requires:	python-yum >= 3.2.23
Requires:	python-libxml2
BuildArch:	noarch


%description
This utility will generate a common metadata repository from a directory of
rpm packages.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%install

make install DESTDIR=%buildroot sysconfdir=%{_sysconfdir}
mkdir -p %buildroot/%py_puresitedir/%name
cp -R %{name}/*py  %buildroot/%py_puresitedir/%name
# Avoid /usr/lib/rpm/brp-python-bytecompile to analyze bash completeion file
for i in  %buildroot/%{_datadir}/bash-completion/completions/*.py; do
	j=`echo $i | sed 's/.py$//'`
	mv $i $j
done

%files
%dir %{_datadir}/%{name}
%doc ChangeLog README COPYING COPYING.lib
%{_datadir}/%{name}/
%{_bindir}/createrepo
%{_bindir}/modifyrepo
%{_bindir}/mergerepo
%{_mandir}/*/*
%{_datadir}/bash-completion/completions/*
%{py_puresitedir}/%{name}/*


%changelog
* Sun Jan 03 2016 bcornec <bcornec> 0.10.4-1.mga6
+ Revision: 919102
- Update to upstream createrepo 0.10.4

* Wed Oct 15 2014 umeabot <umeabot> 0.10.3-3.mga5
+ Revision: 740866
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.3-2.mga5
+ Revision: 678585
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 bcornec <bcornec> 0.10.3-1.mga5
+ Revision: 642633
- Add a Makefile patch to build createrepo using DESTDIR which is missing
- Update to upstream 0.10.3
- Fix a build issue where bash completion file named .py were worngly analyzed by brp-python-bytecompile
- createrepo needs bash-completion at build time
- create repo needs now bash-completion as it provides related content
- Adds a patch to build createrepo without a fixed etc reference
- Update createrepo to 0.12.2 upstream
- Remove 2 deprecated patches and add one for bash completion adaptation to Mageia

  + pterjan <pterjan>
    - 0.10.3
    - Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.9.9-6.mga4
+ Revision: 521385
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 0.9.9-5.mga3
+ Revision: 390738
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 0.9.9-4.mga3
+ Revision: 348297
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 24 2012 bcornec <bcornec> 0.9.9-3.mga2
+ Revision: 226137
- Increase tag release
- Adds a dependency on python-deltarpm to fix #4799 https://bugs.mageia.org/show_bug.cgi?id=4799

* Thu Jun 09 2011 cjw <cjw> 0.9.9-2.mga2
+ Revision: 102607
- patch1: disable rpmdelta
- patch2: fix changelog truncating error
- depend on python-yum, so yum itself does not need to be installed

* Sat Mar 26 2011 kharec <kharec> 0.9.9-1.mga1
+ Revision: 77656
- imported package createrepo

